// Server.h: interface for the CServer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERVER_H__B17617AA_95A2_4ABE_99EF_341CDF492E22__INCLUDED_)
#define AFX_SERVER_H__B17617AA_95A2_4ABE_99EF_341CDF492E22__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CIL;
class CWnd;

#define WM_SERVERSTOPPED		(WM_USER + 11)

class CServer
{
public:
	CServer()
		: m_pIL(nullptr)
		, m_pParent(nullptr)
		, m_hWorkerThread(nullptr)
		, m_bRunning(false)
	{
	}
	virtual ~CServer() { };

	virtual bool StartServer() = 0;
	virtual void StopServer() = 0;

	virtual bool isRunning() const { return m_bRunning; }

protected:
	CIL* m_pIL;								// internal interface loop
	CWnd*  m_pParent;						// parent window
	HANDLE m_hWorkerThread;
	bool   m_bRunning;
};

#endif // !defined(AFX_SERVER_H__B17617AA_95A2_4ABE_99EF_341CDF492E22__INCLUDED_)
