// TcpServ.h: interface for the CTcpServ class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TCPSERV_H__0B9E56FB_CE4F_42C5_B564_98B19E80B648__INCLUDED_)
#define AFX_TCPSERV_H__0B9E56FB_CE4F_42C5_B564_98B19E80B648__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "PilBoxSim.h"

class CTcpServ : public CPilBoxSim
{
public:
	CTcpServ(CIL *pIL, UINT uPort, CWnd* pParent = NULL);
	virtual ~CTcpServ();

	bool StartServer() override;
	void StopServer() override;

private:
	SOCKET  m_sockfds[2];					// IPv4 and IPv6 socket
	INT     m_nNumSocks;
	SOCKET  m_cfd;							// server sockets

	UINT    m_uPort;

	static UINT ThreadTcpIpServer(LPVOID pParam);
};

#endif // !defined(AFX_TCPSERV_H__0B9E56FB_CE4F_42C5_B564_98B19E80B648__INCLUDED_)
