// ComBase.h: interface for the CComBase class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_COMBASE_H__274135D1_F279_4350_A21E_7682572A4210__INCLUDED_)
#define AFX_COMBASE_H__274135D1_F279_4350_A21E_7682572A4210__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Interface.h"

class CComBase : public CInterface
{
public:
	CComBase();
	virtual ~CComBase();

	// the device
	virtual WORD Device(WORD wFrame) override;
	virtual bool IsLoopClosed() const override { return m_bLoopClosed; }

private:
	bool  m_bLoopClosed;					// interface loop is closed

	bool  m_bRealDevices;					// real devices connected with Pilbox
	DWORD m_dwLoopTimeout;					// standard timeout for virtual devices connected over tpc/ip
};

#endif // !defined(AFX_COMBASE_H__274135D1_F279_4350_A21E_7682572A4210__INCLUDED_)
